<?php
	require_once( $GLOBALS["site_root"]."/includes/pages/DefaultFrontend.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/MyStatusPane.inc.php" );
	require_once( $GLOBALS["site_root"] . "/includes/models/MyUser.inc.php" );
	
	class MyStatusPage extends DefaultFrontend {
		protected $oMyStatusPane;

		public function __construct( $id = "MyStatusPage" , $parent = null , $pagetype = "my_user_status" ) {
			parent::__construct( $id , $parent , $pagetype );
			$user = new MyUserModel();
			if ($user->isUserLoggedIn()) {
				$this->oMyStatusPane = new MyStatusPane( "content_widget" , $this );
			} else {
				$this->oMyStatusPane = new SystemArticle( "content_widget" , $this , "sys_error_user_has_to_login" );
			}
			/*
				$member_id = $user->getUserMember( $user->getLoggedinUserId() );
				$pagetype = ($member_id) ? "my_member_my_profile" : "my_user_my_profile";
			}
			*/
		}
	}


?>
